Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 469894 - Review Request: cglib - Code generation library for Java
Summary: Review Request: cglib - Code generation library for Java
Keywords:
Status: CLOSED DUPLICATE of bug 537066
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 534135
TreeView+ depends on / blocked
 
Reported: 2008-11-04 16:40 UTC by Mary Ellen Foster
Modified: 2009-11-12 11:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-01 02:58:10 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2008-11-04 16:40:09 UTC
Spec URL: http://mef.fedorapeople.org/packages/java-libraries/cglib.spec
SRPM URL: http://mef.fedorapeople.org/packages/java-libraries/cglib-2.2-1.src.rpm

Description: 
cglib is a powerful, high performance and quality code generation library 
for Java. It is used to extend Java classes and implements interfaces 
at runtime.

Note: This package is loosely based on an existing JPackage package by Ralf Apel.

Comment 1 Mary Ellen Foster 2008-11-05 12:45:32 UTC
Updated spec, now builds properly in mock and is rpmlint clean.

http://mef.fedorapeople.org/packages/java-libraries/cglib.spec
http://mef.fedorapeople.org/packages/java-libraries/cglib-2.2-2.src.rpm

Comment 2 Aaron S. Hawley 2008-11-06 08:08:51 UTC
I haven't done Java packages, but you should probably make /etc/maven/fragments/cglib a %conf.  rpmlint warns:

cglib.noarch: W: non-conffile-in-etc /etc/maven/fragments/cglib

Comment 3 Mary Ellen Foster 2008-11-24 14:08:29 UTC
Updated to flag maven depmap as "config" and to explain the purpose of the patch

http://mef.fedorapeople.org/packages/java-libraries/cglib.spec
http://mef.fedorapeople.org/packages/java-libraries/cglib-2.2-4.src.rpm

Comment 5 Mary Ellen Foster 2008-12-09 16:39:45 UTC
Oops, the URL was wrong above. Note that I've also changed to use the latest greatest BuildRoot:

http://mef.fedorapeople.org/packages/java-libraries/cglib.spec
http://mef.fedorapeople.org/packages/java-libraries/cglib-2.2-5.fc10.src.rpm

Comment 6 Fernando Nasser 2008-12-10 14:55:34 UTC
Can you use cglib 2.1.3 instead?  The 2.2 will conflict with things like Hibernate, JBoss AS etc.

In the meanwhile, I am contacting the communities mentioned above to check if they could certify their software with a cglib 2.2 as well.

Regards.

Comment 7 Mary Ellen Foster 2008-12-10 15:38:34 UTC
Oops, I now notice that cglib 2.1.3 is already in jpackage:
    http://www.jpackage.org/browser/rpm.php?jppversion=5.0&id=5420

What's the procedure for importing that into Fedora?

Comment 8 Mary Ellen Foster 2008-12-16 12:53:09 UTC
After a bit of further investigation, it seems that cglib 2.1.3 depends on a very old version of objectweb-asm. Fedora currently has packages for objectweb-asm (=version 3.1, October 2007) and asm2 (=version 2.2.3, April 2006), but cglib 2.1.3 depends on classes last defined in asm version 1.5.3, which was released in November 2004.

jpackage has a package for asm version 1.5.3 which could probably be imported quite easily as "asm1" or the like:
    http://jpackage.org/browser/rpm.php?jppversion=5.0&id=6304

It's not very satisfying to be packaging all of these old libraries, though ... :)

Comment 9 Fernando Nasser 2009-01-20 16:25:01 UTC
JPackage.org will soon have a cglib22 package with cglib 2.2 (which uses the objectweb-asm 3.0) package.  Interested? Can you use cglib 2.2 in place of 2.1.3?

Comment 10 Mary Ellen Foster 2009-01-28 12:56:15 UTC
I'd certainly prefer cglib 2.2 -- when the jpackage package appears, will/can a jpackage person submit it to Fedora or should I do that?

Comment 11 Jason Tibbitts 2009-07-10 17:36:07 UTC
So, nearly six months later, what is the status of this ticket?

Comment 12 Jason Tibbitts 2009-08-01 02:58:10 UTC
No response; closing.

Comment 13 Lubomir Rintel 2009-11-10 11:04:18 UTC
I'm not sure why was this closed, did it get stalled due to lack of reviewers? If it is the case, I can review this (and in any case, you can always mail fedora-devel-list or join #fedora-devel channel at freenode to find someone to review your packages, or exchange a review with someone else).

Mary, do you still plan getting this in? Please open a new ticket with current package or let me know if you no longer need the package.

Comment 14 Lubomir Rintel 2009-11-12 11:25:05 UTC
Review resubmitted here: bug #537066

Mary, feel free to steal the ticket/package if you like, I'd be happy if you maintained it.

*** This bug has been marked as a duplicate of bug 537066 ***


Note You need to log in before you can comment on or make changes to this bug.